
const population = 14.57e6 #population of ontario
const workschool_mixing, rest_mixing = load_mixing_matrices()
const age_bins = [(0.0, 25.0),(25.0,65.0),(65.0,Inf)]  

default(dpi = 300)
default(framestyle = :box)

"""
    bench()

Runs the model with 5k households for 500 timesteps.
"""
function bench()
    Random.seed!(RNG,1)
    steps = 500
    model_sol = ModelSolution(steps,get_parameters(),5000)
    recording = DebugRecorder(steps)
    output = solve!(model_sol,recording )
end

"""
The only function we export. I just put whatever I am currently working on into this function to make the model easier to test from the REPL.
"""
function abm()
     b1 = @benchmark bench() seconds = 20
    display(b1)
    println("done")
end
