#needlessly overwrought output interface


abstract type AbstractRecorder end

struct DebugRecorder <: AbstractRecorder
    recorded_status_totals::Array{Int,2}
    Total_S::Vector{Int}
    Total_I::Vector{Int}
    Total_R::Vector{Int}
    Total_V::Vector{Int}
    Total_Vaccinator::Vector{Int}
    function DebugRecorder(sim_length)
        return new(
            Matrix{Int}(undef,AgentStatus.size,sim_length),
            Vector{Int}(undef,sim_length),
            Vector{Int}(undef,sim_length),
            Vector{Int}(undef,sim_length),
            Vector{Int}(undef,sim_length),
            Vector{Int}(undef,sim_length),
        )
    end
end

function record!(t,modelsol, recorder::DebugRecorder)
    recorder.Total_S[t] = count(==(Susceptible),modelsol.u_inf)
    recorder.Total_I[t] = count(==(Infected),modelsol.u_inf)
    recorder.Total_R[t] = count(==(Recovered),modelsol.u_inf)
    recorder.Total_V[t] = count(==(Immunized),modelsol.u_inf)
    recorder.Total_Vaccinator[t] = count(==(true),modelsol.u_vac)

    recorder.recorded_status_totals[:,t] .= modelsol.status_totals

end

function record!(t,modelsol, recorder::Nothing)
    #do nothing
end
